package com.convenient.android.common.extension

import android.content.Context
import com.convenient.android.common.utils.net.NetUtil
import com.convenient.android.common.utils.net.WifiApUtil

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/7/27
 * description:网络相关的扩展类
 */


/**
 * 判断wifi是否连接
 */
fun Context?.isWifiConnected() : Boolean{
    return NetUtil.isWifiConnected(this)
}

/**
 * 判断蜂窝网络是否连接
 */
fun Context?.isMobileConnected() : Boolean{
    return NetUtil.isMobileConnected(this)
}

/**
 * 判断网络是否连接
 */
fun Context?.isNetworkConnected() : Boolean = NetUtil.isNetworkConnected(this)

/**
 * 判断网络是否可用
 */
fun Context?.isNetworkAvailable() : Boolean = NetUtil.isNetworkAvailable(this)

/**
 * 判断GPS 是否可用
 */
fun Context?.isGpsEnable() : Boolean{
    return NetUtil.isGpsEnable(this)
}

/**
 * 判断wifi热点是否可用
 */
fun Context?.isApEnabled() : Boolean{
    if (this == null) return false
    return WifiApUtil.isApEnabled(this)
}









